## zita-njbridge 0.1.1

=== source/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2013-2014 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
VERSION = 0.1.1

PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
LIBDIR ?= lib$(SUFFIX)
MANDIR ?= /usr/share/man/man1

LDFLAGS += -L$(PREFIX)/$(LIBDIR)
CPPFLAGS += -DVERSION=\"$(VERSION)\"
CXXFLAGS += -O2 -Wall -MMD -MP


all:	zita-j2n zita-n2j zita-njbridge.1.gz zita-j2n.1.gz zita-n2j.1.gz


ZITA-J2N_O = zita-j2n.o netdata.o jacktx.o nettx.o pxthread.o lfqueue.o zsockets.o
$(ZITA-J2N_O):
-include $(ZITA-J2N_O:%.o=%.d)
zita-j2n:	CPPFLAGS += -DAPPNAME=\"zita-j2n\"
zita-j2n:	LDLIBS += -ljack -lpthread -lm -lrt
zita-j2n:	$(ZITA-J2N_O)
	g++ $(LDFLAGS) -o $@ $(ZITA-J2N_O) $(LDLIBS)


ZITA-N2J_O = zita-n2j.o netdata.o jackrx.o netrx.o pxthread.o lfqueue.o zsockets.o
$(ZITA-N2J_O):
-include $(ZITA-N2J_O:%.o=%.d)
zita-n2j:	CPPFLAGS += -DAPPNAME=\"zita-n2j\"
zita-n2j:	LDLIBS += -lzita-resampler -ljack -lpthread -lm -lrt
zita-n2j:	$(ZITA-N2J_O)
	g++ $(LDFLAGS) -o $@ $(ZITA-N2J_O) $(LDLIBS)


zita-njbridge.1.gz:	zita-njbridge.1
	gzip -c zita-njbridge.1 > zita-njbridge.1.gz

zita-n2j.1.gz:	zita-n2j.1
	gzip -c zita-n2j.1 > zita-n2j.1.gz

zita-j2n.1.gz:	zita-j2n.1
	gzip -c zita-j2n.1 > zita-j2n.1.gz



install:	all
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 zita-j2n $(DESTDIR)$(BINDIR)
	install -m 755 zita-n2j $(DESTDIR)$(BINDIR)
	install -Dm 644 zita-njbridge.1.gz $(DESTDIR)$(MANDIR)
	install -Dm 644 zita-j2n.1.gz $(DESTDIR)$(MANDIR)
	install -Dm 644 zita-n2j.1.gz $(DESTDIR)$(MANDIR)


uninstall:
	/bin/rm -f  $(DESTDIR)$(BINDIR)/zita-j2n
	/bin/rm -f  $(DESTDIR)$(BINDIR)/zita-n2j
	/bin/rm -f  $(DESTDIR)$(MANDIR)/zita-njbridge.1.gz
	/bin/rm -f  $(DESTDIR)$(MANDIR)/zita-j2n.1.gz
	/bin/rm -f  $(DESTDIR)$(MANDIR)/zita-n2j.1.gz


clean:
	/bin/rm -f *~ *.o *.a *.d *.so *.gz
	/bin/rm -f zita-n2j zita-j2n

=== debian/changelog ===
zita-njbridge (0.1.1-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:18:29 +0000

zita-njbridge (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #757101)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 05 Aug 2014 12:46:18 +0200

=== debian/control ===
Source: zita-njbridge
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 9),
 libzita-resampler-dev,
 libjack-dev
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/zita-njbridge.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/zita-njbridge.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html

Package: zita-njbridge
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Jack clients to transmit multichannel audio over a local IP network
 Command line Jack clients to transmit full quality multichannel audio
 over a local IP network, with adaptive resampling.
 .
 Main features:
  - One-to-one (UDP) or one-to-many (multicast).
  - Sender and receiver(s) can each have their own
    sample rate and period size.
  - Up to 64 channels, 16 or 24 bit or float samples.
  - Receiver(s) can select any combination of channels.
  - Low latency, optional additional buffering.
  - High quality jitter-free resampling.
  - Graceful handling of xruns, skipped cycles, lost
    packets and freewheeling.
  - IP6 fully supported.
  - Requires zita-resampler, no other dependencies.

## zita-njbridge 0.4.1

=== source/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ----------------------------------------------------------------------------
 #
-#  Copyright (C) 2013-2014 Fons Adriaensen <fons@linuxaudio.org>
+#  Copyright (C) 2013-2016 Fons Adriaensen <fons@linuxaudio.org>
 #    
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 
 
 SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
-VERSION = 0.1.1
+VERSION = 0.4.1
 
 PREFIX ?= /usr/local
 BINDIR ?= $(PREFIX)/bin
@@ -37,16 +37,14 @@
 ZITA-J2N_O = zita-j2n.o netdata.o jacktx.o nettx.o pxthread.o lfqueue.o zsockets.o
 $(ZITA-J2N_O):
 -include $(ZITA-J2N_O:%.o=%.d)
-zita-j2n:	CPPFLAGS += -DAPPNAME=\"zita-j2n\"
 zita-j2n:	LDLIBS += -ljack -lpthread -lm -lrt
 zita-j2n:	$(ZITA-J2N_O)
 	g++ $(LDFLAGS) -o $@ $(ZITA-J2N_O) $(LDLIBS)
 
 
-ZITA-N2J_O = zita-n2j.o netdata.o jackrx.o netrx.o pxthread.o lfqueue.o zsockets.o
+ZITA-N2J_O = zita-n2j.o netdata.o jackrx.o netrx.o pxthread.o lfqueue.o zsockets.o syncrx.o
 $(ZITA-N2J_O):
 -include $(ZITA-N2J_O:%.o=%.d)
-zita-n2j:	CPPFLAGS += -DAPPNAME=\"zita-n2j\"
 zita-n2j:	LDLIBS += -lzita-resampler -ljack -lpthread -lm -lrt
 zita-n2j:	$(ZITA-N2J_O)
 	g++ $(LDFLAGS) -o $@ $(ZITA-N2J_O) $(LDLIBS)

=== debian/changelog ===
zita-njbridge (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * Add .gitignore file.
  * Patch refreshed.
  * Update copyright file.
  * Bump Standards.
  * Set dh/compat 10.
  * Fix VCS fields.
  * Fix hardening.
  * Add spelling patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 17 Oct 2016 06:48:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: zita-njbridge
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  libzita-resampler-dev,
  libjack-dev
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/zita-njbridge.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/zita-njbridge.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/zita-njbridge.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/zita-njbridge.git
 Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html
 
 Package: zita-njbridge

=== debian/watch ===
version=3
http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	zita-njbridge-(.*)\.tar\.bz2

## zita-njbridge 0.4.4

=== debian/changelog ===
zita-njbridge (0.4.4-1) unstable; urgency=medium

  * Team upload

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Dennis Braun ]
  * New upstream version 0.4.4
  * d/control:
    + Bump dh-compat to 12
    + Bump Standards-Version to 4.5.0
    + Set RRR: no
  * d/copyright: Update year and http > https
  * d/patches: Update patchset
  * d/watch: Use https protocol

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 01 Feb 2020 23:35:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: zita-njbridge
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  libzita-resampler-dev,
  libjack-dev
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/zita-njbridge.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/zita-njbridge.git
-Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/zita-njbridge.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/zita-njbridge
+Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html
+Rules-Requires-Root: no
 
 Package: zita-njbridge
 Architecture: any

## zita-njbridge 0.4.8

=== debian/changelog ===
zita-njbridge (0.4.8-1) unstable; urgency=medium

  * New upstream version 0.4.8
  * Bump Standards-Version to 4.6.0.1, no changes needed
  * Bump dh-compat to 13
  * Add myself as uploader
  * Remove d/dirs
  * Refresh spelling patch

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 19 Aug 2021 13:03:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libzita-resampler-dev,
  libjack-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/zita-njbridge.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/zita-njbridge
 Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PREFIX=/usr
export DESTDIR=$(CURDIR)/debian/zita-njbridge

%:
	dh $@ -Smakefile -Dsource

=== debian/watch ===
version=4
https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	zita-njbridge-(.*)\.tar\.bz2
